org.eclipse.rdf4j.sail.shacl.planNodes

## Class Tuple

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.planNodes.Tuple

- All Implemented Interfaces:
    Comparable<Tuple>

      public class Tuple
      extends Object
      implements Comparable<Tuple>

  Author:
    Heshan Jayasinghe, Håvard M. Ottestad

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple()`
    `Tuple(BindingSet bindingset, String[] bindingnames)`
    `Tuple(List<Value> list)`
    `Tuple(List<Value> list, Tuple historyTuple)`
    `Tuple(Tuple tuple)`
    `Tuple(Value... list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllCausedByPropertyShape(Deque<org.eclipse.rdf4j.sail.shacl.AST.PropertyShape> causedByPropertyShapes)`
    `void` | `addCausedByPropertyShape(org.eclipse.rdf4j.sail.shacl.AST.PropertyShape propertyShape)`
    `void` | `addHistory(Tuple tuple)`
    `int` | `compareTo(Tuple o)`
    `boolean` | `equals(Object o)`
    `String` | `getCause()`
    `Deque<org.eclipse.rdf4j.sail.shacl.AST.PropertyShape>` | `getCausedByPropertyShapes()`
    `List<Value>` | `getLine()`
    `List<Value>` | `getlist()`
    `int` | `hashCode()`
    `void` | `setLine(List<Value> line)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Tuple

          public Tuple(List<Value> list)

    - #### Tuple

          public Tuple(Value... list)

    - #### Tuple

          public Tuple(List<Value> list,
                       Tuple historyTuple)

    - #### Tuple

          public Tuple()

    - #### Tuple

          public Tuple(BindingSet bindingset,
                       String[] bindingnames)

    - #### Tuple

          public Tuple(Tuple tuple)

  - ### Method Detail

    - #### getlist

          public List<Value> getlist()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addCausedByPropertyShape

          public void addCausedByPropertyShape(org.eclipse.rdf4j.sail.shacl.AST.PropertyShape propertyShape)

    - #### getCausedByPropertyShapes

          public Deque<org.eclipse.rdf4j.sail.shacl.AST.PropertyShape> getCausedByPropertyShapes()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(Tuple o)

      Specified by:
        `compareTo` in interface `Comparable<Tuple>`

    - #### getCause

          public String getCause()

    - #### addHistory

          public void addHistory(Tuple tuple)

    - #### addAllCausedByPropertyShape

          public void addAllCausedByPropertyShape(Deque<org.eclipse.rdf4j.sail.shacl.AST.PropertyShape> causedByPropertyShapes)

    - #### getLine

          public List<Value> getLine()

    - #### setLine

          public void setLine(List<Value> line)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.